PEARL Procedures rev-distro-1.6.0-0-gcf1399e-dirty Igor procedures for the analysis of PEARL data

- Main Page
- Related Pages
- Packages
- Namespaces
- Files

- File List
- Globals

Data Structures | Functions | Variables
pearl-fitfuncs.ipf File Reference
`#include "mm-physconst"`

Go to the source code of this file.

## Data Structures
struct | DoniachSunjicStruct

## Functions
threadsafe variable | ds1_bg (wave w, variable x)
threadsafe variable | ds2_bg (wave w, variable x)
variable | ds4_bg (wave w, variable x)
variable | ds6_bg (wave w, variable x)
threadsafe variable | DoniachSunjicBroadS (DoniachSunjicStruct *s)
variable | DoniachSunjicBroad (wave pw, wave yw, wave xw)
variable | Calc_DoniachSunjicBroad (wave pw, wave yw)
variable | Fit_DoniachSunjicBroad (wave pw, wave yw, wave xw, wave ww)
variable | Au4f (wave w, variable x)
variable | Au4f_2p2 (wave w, variable x)
variable | ShowComponents_Au4f_2p2 (wave coef_wave, wave fit_wave)
variable | Au4f_2p3 (wave w, variable x)
variable | ShowComponents_Au4f_2p3 (wave coef_wave, wave fit_wave)
variable | FermiGaussConv (wave pw, wave yw, wave xw)
| convolution of Fermi-Dirac distribution and a Gaussian. More...

## Variables
| version

## Function Documentation

variable Au4f | ( | wave | w,
|  | variable | x
| ) |  |

Definition at line 419 of file pearl-fitfuncs.ipf.

variable Au4f_2p2 | ( | wave | w,
|  | variable | x
| ) |  |

Definition at line 464 of file pearl-fitfuncs.ipf.

variable Au4f_2p3 | ( | wave | w,
|  | variable | x
| ) |  |

Definition at line 549 of file pearl-fitfuncs.ipf.

variable Calc_DoniachSunjicBroad | ( | wave | pw,
|  | wave | yw
| ) |  |

Definition at line 362 of file pearl-fitfuncs.ipf.

variable DoniachSunjicBroad | ( | wave | pw,
|  | wave | yw,
|  | wave | xw
| ) |  |

Definition at line 301 of file pearl-fitfuncs.ipf.

threadsafe variable DoniachSunjicBroadS | ( | DoniachSunjicStruct * | s | ) |

Definition at line 212 of file pearl-fitfuncs.ipf.

threadsafe variable ds1_bg | ( | wave | w,
|  | variable | x
| ) |  |

Definition at line 38 of file pearl-fitfuncs.ipf.

threadsafe variable ds2_bg | ( | wave | w,
|  | variable | x
| ) |  |

Definition at line 61 of file pearl-fitfuncs.ipf.

variable ds4_bg | ( | wave | w,
|  | variable | x
| ) |  |

Definition at line 89 of file pearl-fitfuncs.ipf.

variable ds6_bg | ( | wave | w,
|  | variable | x
| ) |  |

Definition at line 130 of file pearl-fitfuncs.ipf.

variable FermiGaussConv | ( | wave | pw,
|  | wave | yw,
|  | wave | xw
| ) |  |

convolution of Fermi-Dirac distribution and a Gaussian.

- pw[0] = constant background
- pw[1] = linear background
- pw[2] = amplitude
- pw[3] = Fermi level in eV
- pw[4] = temperature in K
- pw[5] = gaussian width = FWHM / 1.66511

Definition at line 672 of file pearl-fitfuncs.ipf.

variable Fit_DoniachSunjicBroad | ( | wave | pw,
|  | wave | yw,
|  | wave | xw,
|  | wave | ww
| ) |  |

Definition at line 383 of file pearl-fitfuncs.ipf.

variable ShowComponents_Au4f_2p2 | ( | wave | coef_wave,
|  | wave | fit_wave
| ) |  |

Definition at line 518 of file pearl-fitfuncs.ipf.

variable ShowComponents_Au4f_2p3 | ( | wave | coef_wave,
|  | wave | fit_wave
| ) |  |

Definition at line 617 of file pearl-fitfuncs.ipf.

## Variable Documentation

version

Definition at line 5 of file pearl-fitfuncs.ipf.